Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
RBignum Struct Reference

`#include <internal.h>`

## Data Fields
struct RBasic | basic
union {
struct {
size_t len
BDIGIT * digits
} heap
BDIGIT ary [BIGNUM_EMBED_LEN_MAX]
} | as
union {
struct {
size_t len
unsigned int * digits
} heap
unsigned int ary [(8 *RVALUE_EMBED_LEN_MAX/4)]
} | as

## Detailed Description

Definition at line 749 of file internal.h.

## Field Documentation

## ◆ ary [1/2]

unsigned int RBignum::ary[(8 *RVALUE_EMBED_LEN_MAX/4)]

Definition at line 6819 of file rb_mjit_min_header-2.7.0.h.

## ◆ ary [2/2]

BDIGIT RBignum::ary[BIGNUM_EMBED_LEN_MAX]

Definition at line 756 of file internal.h.

## ◆ as [1/2]

union { ... } RBignum::as

## ◆ as [2/2]

union { ... } RBignum::as

## ◆ basic

struct RBasic RBignum::basic

Definition at line 750 of file internal.h.

## ◆ digits [1/2]

BDIGIT* RBignum::digits

Definition at line 754 of file internal.h.

## ◆ digits [2/2]

unsigned int* RBignum::digits

Definition at line 6817 of file rb_mjit_min_header-2.7.0.h.

## ◆ heap [1/2]

struct { ... } RBignum::heap

## ◆ heap [2/2]

struct { ... } RBignum::heap

## ◆ len

size_t RBignum::len

Definition at line 753 of file internal.h.

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h